Eclipse Platform Release 3.7

## org.eclipse.core.databinding.property.value
Class DelegatingValueProperty

    java.lang.Object
      org.eclipse.core.databinding.property.value.ValueProperty
          org.eclipse.core.databinding.property.value.DelegatingValueProperty

All Implemented Interfaces:
  IProperty, IValueProperty

    public abstract class DelegatingValueProperty

extends ValueProperty

Since:
  1.2

Constructor Summary
`protected` `DelegatingValueProperty()`
`protected` `DelegatingValueProperty(Object valueType)`

Method Summary
`protected abstract IValueProperty` `doGetDelegate(Object source)` Returns the property to delegate to for the specified source object.
`protected Object` `doGetValue(Object source)` Returns the value of the property on the specified source object
`protected void` `doSetValue(Object source, Object value)` Sets the source's value property to the specified vlaue
`IValueProperty` `getDelegate(Object source)` Returns the property to delegate to for the specified source object.
`Object` `getValueType()` Returns the value type of the property, or `null` if untyped.
`IObservableValue` `observe(Object source)` Returns an observable value observing this value property on the given property source.
`IObservableValue` `observe(Realm realm, Object source)` Returns an observable value observing this value property on the given property source
`IObservableList` `observeDetail(IObservableList master)` Returns an observable list on the master observable's realm which tracks this property on each element of `master`.
`IObservableMap` `observeDetail(IObservableMap master)` Returns an observable map on the master observable's realm where the map's key set is the same as the master observable map, and where each value is the property value of the corresponding value in the master observable map.
`IObservableMap` `observeDetail(IObservableSet master)` Returns an observable map on the master observable's realm where the map's key set is the specified master set, and where each key maps to the current property value for each element.

Methods inherited from class org.eclipse.core.databinding.property.value.ValueProperty
`getValue, list, map, observeDetail, set, setValue, value, valueFactory, valueFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingValueProperty

    protected DelegatingValueProperty()

### DelegatingValueProperty

    protected DelegatingValueProperty(Object valueType)

Method Detail

### getDelegate

    public final IValueProperty getDelegate(Object source)

  Returns the property to delegate to for the specified source object. Repeated calls to this method with the same source object returns the same delegate instance.

  Parameters:
    `source` - the property source (may be null)
  Returns:
    the property to delegate to for the specified source object.

### doGetDelegate

    protected abstract IValueProperty doGetDelegate(Object source)

  Returns the property to delegate to for the specified source object. Implementers must ensure that repeated calls to this method with the same source object returns the same delegate instance.

  Parameters:
    `source` - the property source
  Returns:
    the property to delegate to for the specified source object.

### doGetValue

    protected Object doGetValue(Object source)

  Description copied from class: `ValueProperty`
  Returns the value of the property on the specified source object

  Overrides:
    `doGetValue` in class `ValueProperty`
  Parameters:
    `source` - the property source
  Returns:
    the current value of the source's value property

### doSetValue

    protected void doSetValue(Object source,
                              Object value)

  Description copied from class: `ValueProperty`
  Sets the source's value property to the specified vlaue

  Overrides:
    `doSetValue` in class `ValueProperty`
  Parameters:
    `source` - the property source
    `value` - the new value

### getValueType

    public Object getValueType()

  Description copied from interface: `IValueProperty`
  Returns the value type of the property, or `null` if untyped.

  Returns:
    the value type of the property, or `null` if untyped.

### observe

    public IObservableValue observe(Object source)

  Description copied from interface: `IValueProperty`
  Returns an observable value observing this value property on the given property source.

  Specified by:
    `observe` in interface `IValueProperty`
  Overrides:
    `observe` in class `ValueProperty`
  Parameters:
    `source` - the property source
  Returns:
    an observable value observing this value property on the given property source

### observe

    public IObservableValue observe(Realm realm,
                                    Object source)

  Description copied from interface: `IValueProperty`
  Returns an observable value observing this value property on the given property source

  Parameters:
    `realm` - the observable's realm
    `source` - the property source
  Returns:
    an observable value observing this value property on the given property source

### observeDetail

    public IObservableList observeDetail(IObservableList master)

  Description copied from interface: `IValueProperty`
  Returns an observable list on the master observable's realm which tracks this property on each element of `master`.

  Specified by:
    `observeDetail` in interface `IValueProperty`
  Overrides:
    `observeDetail` in class `ValueProperty`
  Parameters:
    `master` - the master observable
  Returns:
    an observable list which tracks this property on each element of the master observable.

### observeDetail

    public IObservableMap observeDetail(IObservableSet master)

  Description copied from interface: `IValueProperty`
  Returns an observable map on the master observable's realm where the map's key set is the specified master set, and where each key maps to the current property value for each element.

  Specified by:
    `observeDetail` in interface `IValueProperty`
  Overrides:
    `observeDetail` in class `ValueProperty`
  Parameters:
    `master` - the master observable
  Returns:
    an observable map that tracks the current value of this property for the elements in the given set.

### observeDetail

    public IObservableMap observeDetail(IObservableMap master)

  Description copied from interface: `IValueProperty`
  Returns an observable map on the master observable's realm where the map's key set is the same as the master observable map, and where each value is the property value of the corresponding value in the master observable map.

  Specified by:
    `observeDetail` in interface `IValueProperty`
  Overrides:
    `observeDetail` in class `ValueProperty`
  Parameters:
    `master` - the master observable
  Returns:
    an observable map on the master observable's realm which tracks the current value of this property for the elements in the given map's values collection

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.